import type { DownloadResumable, DownloadOptions, DownloadProgressCallback } from "expo-file-system";
export interface IFileSystem {
    documentDirectory: string | null;
    readDirectoryAsync(fileUri: string): Promise<string[]>;
    deleteAsync(fileUri: string, options?: {
        idempotent?: boolean;
    }): Promise<void>;
    getFreeDiskStorageAsync(): Promise<number>;
    createDownloadResumable(uri: string, fileUri: string, options?: DownloadOptions, callback?: DownloadProgressCallback, resumeData?: string): DownloadResumable;
    makeDirectoryAsync(fileUri: any, options?: {
        intermediates: boolean;
    }): Promise<void>;
}
