"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configure = exports.getSharedDownloadManager = void 0;
const DownloadManager_1 = require("./DownloadManager");
let _downloadManager;
let _configuration;
function getSharedDownloadManager() {
    if (!_configuration) {
        throw new Error("You must call configure() before calling getSharedDownloadManager()");
    }
    if (!_downloadManager) {
        _downloadManager = new DownloadManager_1.DownloadManager(_configuration.storage, _configuration.fileSystem, _configuration.options);
    }
    return _downloadManager;
}
exports.getSharedDownloadManager = getSharedDownloadManager;
function configure(configuration) {
    // if (_configuration) {
    //   throw new Error("You may only call configure() once");
    // }
    _configuration = configuration;
}
exports.configure = configure;
